## Apache Zeta Components Manual :: Docs For Class ezcTranslationException

### Translation::ezcTranslationException

### Class ezcTranslationException

The general exception class as used by the Translator Classes.

Source for this file: /Translation/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcTranslationException

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcTranslationNotConfiguredException | Thrown when a required configuration setting was not made for a backend.
ezcTranslationWriterNotInitializedException | Thrown when methods are called that require a ContextWriter to be initialized.
ezcTranslationKeyNotAvailableException | Thrown by the getTranslation() method when a requested key doesn't exist.
ezcTranslationContextNotAvailableException | Thrown by the getContext() method when a requested context doesn't exist.
ezcTranslationMissingTranslationFileException | Thrown when the translation file does not exist.
ezcTranslationParameterMissingException | Thrown by the getTranslation() method when a paramater was missing to a parameterized translation string.
ezcTranslationReaderNotInitializedException | Thrown when methods are called that require a ContextReader to be initialized.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3